Bill Sponsor

The endpoint for sponsorship of Bills by Legislators.

Retrieve multiple Sponsor relationships based on search critera passed as GET Arguments

get/newsponsor/
Securityapi_key and username
Request
query Parameters
amendment_id
integer <int64>

The newamendment with which this sponsor is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
amendment__in - The value for the record is in the provided array parameter (comma-separated values).
amendment__isnull - The value for the record is null (if true) or is not null.

bill_id
integer <int64>

The newbill with which this sponsor is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
bill__in - The value for the record is in the provided array parameter (comma-separated values).
bill__isnull - The value for the record is null (if true) or is not null.

created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

person_id
integer <int64>

The newperson with which this sponsor is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
person__in - The value for the record is in the provided array parameter (comma-separated values).
person__isnull - The value for the record is null (if true) or is not null.

sponsor_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
sponsor_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name SponsorType, for an explanation of values.

Enum: 1 2 3 4 5 101 102 103 104 105 106 110 120 130 131 140 150 160
state_name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
state_name__in - The value for the record is in the provided array parameter (comma-separated values).
state_name__contains, state_name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
state_name__startswith, state_name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
state_name__endswith, state_name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
state_name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
state_name__isnull - The value for the record is null (if true) or is not null.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewSponsor retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "amendment": "/api/newamendment/1/",
  • "bill": "/api/newbill/1/",
  • "committee": "/api/committee/1/",
  • "created": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "joined": "2019-08-24T14:15:22Z",
  • "party": 0,
  • "person": "/api/newperson/1/",
  • "resource_uri": "string",
  • "sponsor_icon": "string",
  • "sponsor_image_url": "string",
  • "sponsor_name": "string",
  • "sponsor_type": 1,
  • "sponsor_url": "string",
  • "state_name": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "withdrawn": "2019-08-24T14:15:22Z"
}

Retrieve information on a single sponsor relationship

get/newsponsor/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
Responses
200

NewSponsor retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "amendment": "/api/newamendment/1/",
  • "bill": "/api/newbill/1/",
  • "committee": "/api/committee/1/",
  • "created": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "joined": "2019-08-24T14:15:22Z",
  • "party": 0,
  • "person": "/api/newperson/1/",
  • "resource_uri": "string",
  • "sponsor_icon": "string",
  • "sponsor_image_url": "string",
  • "sponsor_name": "string",
  • "sponsor_type": 1,
  • "sponsor_url": "string",
  • "state_name": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "withdrawn": "2019-08-24T14:15:22Z"
}